Retrieve Task Status for Profitability and Cost Management
Displays the current status of the job process name.
Required Roles
Service Administrator, Power User
REST Resource
GET
/epm/rest/{api_version}/applications/jobs/ChecktaskStatusJob/{processName}
Request
Supported Media Types: application/json
The following table summarizes the client request.
Table 10-31 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
api_version |
Version of the API you are developing with | Path | Yes | None |
applications |
Included in the path | Path | Yes | None |
processName |
The ID of the process or task flow for which to check the task status | Path | Yes | None |
Response
Supported Media Types: application/json
The following table summarizes the response parameters.
Table 10-32 Parameters
| Name | Description |
|---|---|
processName |
The Process Name or TaskflowId, such as RBkML1_ExportTemplate_D20160112T025419_836 |
task |
Task name, such as ExportTemplate |
status |
Task status, such as Success |
Example of Response Body
{
"type": "Profitability",
"links": [{
"href": "https://<BASE-URL>/epm/rest/v1/applications/jobs/ChecktaskStatusJob/RBkML1_ExportTemplate_D20160112T025419_836",
"action": "GET",
"rel": "self"
}],
"status": 0,
"details": "ExportTemplate=Success,RBkML1_ExportTemplate_D20160112T025419_836=Done",
"statusMessage": "Success"
}